### Signal

# RB RemovableMediaManager::create-source-device

#### Declaration

    RBSource*
    create_source_device (
      RBRemovableMediaManager* self,
      GObject* device,
      gpointer user_data
    )

#### Description [src]

Emitted when a new device is detected to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. Plugins should only use this signal if there will be no `GVolume` or `GMount` created for the device.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `GObject`

  The device (actually a `GUdevDevice`).

  The data is owned by the caller of the function.

#### Return value

Type: `RBSource`

A source for the device, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.